# Method: projects.datasets.create

- [HTTP request](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.request_body)
- [Response body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/create#body.aspect_1)

Create a new dataset for the specified project.

### HTTP request

`POST https://mapsplatformdatasets.googleapis.com/v1alpha/{parent=projects/*}/datasets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent project that will own the dataset. Format: projects/{$project} |

### Request body

The request body contains an instance of `https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `mapsplatformdatasets.datasets.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).